package util

import (
	"regexp"
	"strconv"
)

func GetGroups(r *regexp.Regexp, s string) map[string]string {
	groups := make(map[string]string)
	names := r.SubexpNames()
	for i, res := range r.FindStringSubmatch(s) {
		if i != 0 {
			groups[names[i]] = res
		}
	}
	return groups
}

func MustConv(s string) int {
	n, err := strconv.Atoi(s)
	if err != nil {
		panic(err)
	}
	return n
}
